import { Component, EventEmitter, ElementRef, Output, trigger, style, transition, animate } from '@angular/core';
import { ModalDismissReasons } from './modal-dismiss-reasons';
var NgfModalBackdrop = (function () {
    function NgfModalBackdrop(_elRef) {
        this._elRef = _elRef;
        this.dismissEvent = new EventEmitter();
    }
    NgfModalBackdrop.prototype.backdropClick = function ($event) {
        if ($event.target != this._elRef.nativeElement) {
            return;
        }
        this.dismissEvent.emit(ModalDismissReasons.BACKDROP_CLICK);
    };
    return NgfModalBackdrop;
}());
export { NgfModalBackdrop };
NgfModalBackdrop.decorators = [
    { type: Component, args: [{
                selector: 'Ngf-modal-backdrop',
                template: '',
                host: {
                    'class': 'reveal-overlay',
                    'style': 'display: block;',
                    '(click)': 'backdropClick($event)',
                    '[@backdrop]': ''
                },
                animations: [
                    trigger('backdrop', [
                        transition('void => *', [
                            style({ opacity: 0 }),
                            animate(100, style({ opacity: 1 }))
                        ]),
                        transition('* => void', [
                            style({ opacity: 1 }),
                            animate(100, style({ opacity: 0 }))
                        ])
                    ])
                ]
            },] },
];
/** @nocollapse */
NgfModalBackdrop.ctorParameters = function () { return [
    { type: ElementRef, },
]; };
NgfModalBackdrop.propDecorators = {
    'dismissEvent': [{ type: Output, args: ['dismiss',] },],
};
//# sourceMappingURL=modal-backdrop.js.map