import { Injectable, Injector, ComponentFactoryResolver } from '@angular/core';
import { NgfModalStack } from './modal-stack';
/**
 * A service to open modal windows. Creating a modal is straightforward: create a template and pass it as an argument to
 * the "open" method!
 */
var NgfModal = (function () {
    function NgfModal(_moduleCFR, _injector, _modalStack) {
        this._moduleCFR = _moduleCFR;
        this._injector = _injector;
        this._modalStack = _modalStack;
    }
    /**
     * Opens a new modal window with the specified content and using supplied options. Content can be provided
     * as a TemplateRef or a component type. If you pass a component type as content than instances of those
     * components can be injected with an instance of the NgfActiveModal class. You can use methods on the
     * NgfActiveModal class to close / dismiss modals from "inside" of a component.
     */
    NgfModal.prototype.open = function (content, options) {
        if (options === void 0) { options = {}; }
        return this._modalStack.open(this._moduleCFR, this._injector, content, options);
    };
    return NgfModal;
}());
export { NgfModal };
NgfModal.decorators = [
    { type: Injectable },
];
/** @nocollapse */
NgfModal.ctorParameters = function () { return [
    { type: ComponentFactoryResolver, },
    { type: Injector, },
    { type: NgfModalStack, },
]; };
//# sourceMappingURL=modal.service.js.map